Bug 979053 - Update i18n of designer
Summary: Update i18n of designer
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: JBoss BPMS Platform 6
Classification: Retired
Component: jBPM Designer
Version: 6.0.0
Hardware: Unspecified
OS: Unspecified
high
medium
Target Milestone: ER1
: 6.0.2
Assignee: Neus Miras
QA Contact: Sona Mala
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2013-06-27 13:44 UTC by Kris Verlaenen
Modified: 2014-08-06 19:51 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-08-06 19:51:16 UTC
Type: Task


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Bugzilla 1096771 0 medium CLOSED i18n: a selected value of a property in Properties bar does not depend on language 2021-02-22 00:41:40 UTC
Red Hat Bugzilla 1096802 0 medium CLOSED i18n: the message of a validation error is not translated 2021-02-22 00:41:40 UTC
Red Hat Bugzilla 1096837 0 medium CLOSED "Add" buttons of Data assignment editor do not support i18n 2021-02-22 00:41:40 UTC
Red Hat Bugzilla 1096848 0 medium CLOSED i18n: Simulation diagrams is not localized 2021-02-22 00:41:40 UTC
Red Hat Bugzilla 1096858 0 medium CLOSED i18n: the time unit of the interval of the simulation is not localized 2021-02-22 00:41:40 UTC
Red Hat Bugzilla 1096869 0 medium CLOSED i18n: the list of diagrams for Process results of simulation is not localized 2021-02-22 00:41:40 UTC
Red Hat Bugzilla 1096882 0 medium CLOSED i18n: Names of paths which are generated by Simulation engines are not localized 2021-02-22 00:41:40 UTC


Description Kris Verlaenen 2013-06-27 13:44:55 UTC
Designer needs some more updates regarding i18n.  Some of the changes for BPMS6 and some of the new features (like simulation) require some updates.

Comment 3 Tihomir Surdilovic 2013-07-31 14:51:21 UTC
Updates to simulation are left to do.

Comment 5 Tihomir Surdilovic 2013-12-03 18:27:52 UTC
updated the designer simulation section for internationalization. 
reassigning to Toshiya Kobayashi to please complete the translations in the _ja designer translations file.

@Toshiya - see commit 3058f87a1ea383b911e217a5c08e614c2b37ce7e and please translate whenever you can the text in the translation_ja.js file. Feel free to commit to master (and I can cherry-pick to 6.0.x whenever its done) -- thanks!!

Comment 6 Tihomir Surdilovic 2013-12-03 18:29:29 UTC
commit url https://github.com/droolsjbpm/jbpm-designer/commit/3058f87a1

Comment 7 Toshiya Kobayashi 2013-12-04 08:52:05 UTC
I am not allowed to push to droolsjbpm/jbpm-designer (I'm not listed in the member of droolsjbpm now. hmm, I think I was before) so sending a pull request.

https://github.com/droolsjbpm/jbpm-designer/pull/29

Comment 8 Tihomir Surdilovic 2013-12-04 15:08:12 UTC
Merged pull request - thank you!

Comment 9 Marek Baluch 2014-01-08 16:14:42 UTC
Setting back to ASSIGNED as some labels are not translated yet (or maybe the look up keys do not match?)

e.g. Japan
- 'Run process simulation' dialog 
    + 'Interval units' show still time units in English 'minutes, seconds, etc.'
- 'Process paths' dialog 
    + 'Close' button text is not translated.
- Not all toolbar labels are not translated
- Not all tooltips are not translate

- other locales contain even less translation then Japan which seems fairly complete in comparison.

Comment 15 Neus Miras 2014-02-27 19:08:02 UTC
Updated the used plugins. 
Committed at master
https://github.com/droolsjbpm/jbpm-designer/commit/907bf0d80d1a4fc965ec751efcd502696700afad

Comment 16 Neus Miras 2014-02-28 11:10:44 UTC
Make the designer reactive to requestParameter locale 
Commit
Master
https://github.com/droolsjbpm/jbpm-designer/commit/384b9784b476d399963f052a7fbd7f8d5694a948

Comment 23 Neus Miras 2014-03-20 09:18:37 UTC
Remains a last zatata pull, when de,zh,pt and ja translation are being done.

Comment 25 Sona Mala 2014-05-12 11:43:03 UTC
It is mostly done in 6.0.2 ER2 BPMS.

There are some issues which depend on the selected language. I will create new issue for each language.


Note You need to log in before you can comment on or make changes to this bug.